package com.allinpay.yst2.demo.config;

/**
 * 测试参数
 *
 * @author gejunqing
 * @version 1.0
 * @date 2024/1/11
 */
public class DemoConfig
{
    

/**
 * demo测试私钥
 * isv公共应用：21844287021361709057 
 */
    private String privateKeyStr = "MIGTAgEAMBMGByqGSM49AgEGCCqBHM9VAYItBHkwdwIBAQQgiaZmB+feACtziE8SYjVZsaQwLNLRiyO8ebSupeoWIF2gCgYIKoEcz1UBgi2hRANCAATwEo0zq6KaB992PToWeJH52LmfS0sFovnB8/LMaoIAOTlFJtA3YgjWXKlO3KT+GqOCfCC4xE60isCr28tqy7hM";

 /**
 * demo测试通联公钥
 */
    private String allinpayPublicKeyStr = "MFkwEwYHKoZIzj0CAQYIKoEcz1UBgi0DQgAEu9LNkJlyLtjJxtQWIGlcZ/hyHt5eZ7LEH1nfOiK1H9HsE1cMPu5KK5jZVTtAyc7lPMXixUMirf6A3tMbuMbgqg==";
    

    //请求地址--测试环境
    private String url = "http://116.228.64.55:28082/yst-service-api/tx/handle";
    private String memberUrl = "http://116.228.64.55:28082/yst-service-api/tm/handle";
    private String queryUrl = "http://116.228.64.55:28082/yst-service-api/tq/handle";

    private String fileUploadUrl = "http://116.228.64.55:28082/yst-service-api/file/upload";
    private String fileDownloadUrl = "http://116.228.64.55:28082/yst-service-api/file/download";

    //请求地址--生产环境
/*
    private String url = "https://ibsapi.allinpay.com/yst-service-api/tx/handle";
    private String memberUrl = "https://ibsapi.allinpay.com/yst-service-api/tm/handle";
    private String queryUrl = "https://ibsapi.allinpay.com/yst-service-api/tq/handle";

    private String fileUploadUrl = "https://ibsapi.allinpay.com/yst-service-api/file/upload";
    private String fileDownloadUrl = "https://ibsapi.allinpay.com/yst-service-api/file/download";

 // 通联公钥
    private String allinpayPublicKeyStr ="MFkwEwYHKoZIzj0CAQYIKoEcz1UBgi0DQgAE/VKHBem28IXD30yuZN1QcNgGE4gzqgd/eX1ZEouUleLNfrnQJkOs7LzAag3q10uaH/e9+5JyJDx3ULfKS4QZPw==";
*/


    public String getFileUploadUrl()
    {
    return fileUploadUrl;
    }

    public DemoConfig setFileUploadUrl(String fileUploadUrl)
    {
        this.fileUploadUrl = fileUploadUrl;
        return this;
    }
    private String spAppId = "";
    private String appId = "21844287021361709057";
    private String secretKey = "878427523d3525e070298d44481b8d2e";
    private String format = "json";
    private String charset = "UTF-8";
    private String signType = "SM3withSM2";
    private String version = "1.0";
    private String notifyUrl;

    public DemoConfig()
    {
    }

    public DemoConfig(String appId)
    {
        this.appId = appId;
    }

    public DemoConfig(String appId, String spAppId)
    {
        this.appId = appId;
//        this.spAppId = spAppId;
    }

    public DemoConfig(String appId, String spAppId, String url)
    {
        this.appId = appId;
        this.spAppId = spAppId;
        this.url = url;
    }

    public DemoConfig(String privateKeyStr, String allinpayPublicKeyStr, String url, String appId, String spAppId)
    {
        this.privateKeyStr = privateKeyStr;
        this.allinpayPublicKeyStr = allinpayPublicKeyStr;
        this.url = url;
        this.appId = appId;
        this.spAppId = spAppId;
    }

    public String getPrivateKeyStr()
    {
        return privateKeyStr;
    }

    public void setPrivateKeyStr(String privateKeyStr)
    {
        this.privateKeyStr = privateKeyStr;
    }

    public String getAllinpayPublicKeyStr()
    {
        return allinpayPublicKeyStr;
    }

    public void setAllinpayPublicKeyStr(String allinpayPublicKeyStr)
    {
        this.allinpayPublicKeyStr = allinpayPublicKeyStr;
    }

    public String getUrl()
    {
        return url;
    }

    public void setUrl(String url)
    {
        this.url = url;
    }

    public String getMemberUrl()
    {
        return memberUrl;
    }

    public DemoConfig setMemberUrl(String memberUrl)
    {
        this.memberUrl = memberUrl;
        return this;
    }

    public String getQueryUrl()
    {
        return queryUrl;
    }

    public DemoConfig setQueryUrl(String queryUrl)
    {
        this.queryUrl = queryUrl;
        return this;
    }

//    public String getFileUploadUrl()
//    {
//        return fileUploadUrl;
//    }

//    public DemoConfig setFileUploadUrl(String fileUploadUrl)
//    {
//        this.fileUploadUrl = fileUploadUrl;
//        return this;
//    }

    public String getFileDownloadUrl()
    {
        return fileDownloadUrl;
    }

    public DemoConfig setFileDownloadUrl(String fileDownloadUrl)
    {
        this.fileDownloadUrl = fileDownloadUrl;
        return this;
    }

    public String getSpAppId()
    {
        return spAppId;
    }

    public void setSpAppId(String spAppId)
    {
        this.spAppId = spAppId;
    }

    public String getAppId()
    {
        return appId;
    }

    public void setAppId(String appId)
    {
        this.appId = appId;
    }

    public String getSecretKey()
    {
        return secretKey;
    }

    public void setSecretKey(String secretKey)
    {
        this.secretKey = secretKey;
    }

    public String getFormat()
    {
        return format;
    }

    public void setFormat(String format)
    {
        this.format = format;
    }

    public String getCharset()
    {
        return charset;
    }

    public void setCharset(String charset)
    {
        this.charset = charset;
    }

    public String getSignType()
    {
        return signType;
    }

    public void setSignType(String signType)
    {
        this.signType = signType;
    }

    public String getVersion()
    {
        return version;
    }

    public void setVersion(String version)
    {
        this.version = version;
    }

    public String getNotifyUrl()
    {
        return notifyUrl;
    }

    public void setNotifyUrl(String notifyUrl)
    {
        this.notifyUrl = notifyUrl;
    }

    @Override
    public String toString()
    {
        return "DemoConfig:{" + "privateKeyStr='" + privateKeyStr + '\'' + ", allinpayPublicKeyStr='"
                + allinpayPublicKeyStr + '\'' + ", url='" + url + '\'' + ", appId='" + appId + '\'' + ", spAppId='"
                + spAppId + '\'' + ", secretKey='" + secretKey + '\'' + ", format='" + format + '\'' + ", charset='"
                + charset + '\'' + ", signType='" + signType + '\'' + ", version='" + version + '\'' + ", notifyUrl='"
                + notifyUrl + '\'' + '}';
    }
}
